import React , {useContext} from 'react'

import TasksList from './tasksList'
import FormTask from './FormTask'
import EditPopup from './EditPopup'
import { TaskContext } from '../context/TaskContext'

export default function AppTask() {
  const {showEdit} = useContext(TaskContext)

  return (
    <main>
      {showEdit && <EditPopup /> }
      <div className='container'>
        <article>
          <FormTask />
          <TasksList />
          {/* <hr/> */}
        </article>
      </div>
    </main>
  )
}
