import React,{useContext} from 'react'
import { TaskContext } from '../context/TaskContext'

export default function EditPopup() {
  const {hideEditPopup} = useContext(TaskContext)

  return (
    <div className='popup_edit'>
      <div className='inside_popup'>
        <form>
          <h2>Edit task</h2>
          <label>Name:</label>
          <input type="text"  className='form-control'/>
          <button className='btn btn-success mt-3 me-2'>Update</button>
          <button onClick={() => {
            hideEditPopup();
          }} type="button" className='btn btn-danger mt-3 '>Cancel</button>
        </form>
      </div>
    </div>
  )
}
